> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Add deployment capabilities to a tenant (Beta)

POST https://api.sigmacomputing.com/v2/tenants/{tenantOrganizationId}/capabilities/deployments:batchAdd
Content-Type: application/json

Grant a tenant organization the capability to deploy to other tenant organizations.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- Retrieve **tenantOrganizationId** values by calling the [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants) endpoint.

Reference: https://help.sigmacomputing.com/reference/add-tenant-deployment-capabilities

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/tenants/{tenantOrganizationId}/capabilities/deployments:batchAdd:
    post:
      operationId: addTenantDeploymentCapabilities
      summary: Add deployment capabilities to a tenant (Beta)
      description: >-
        Grant a tenant organization the capability to deploy to other tenant
        organizations.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - To perform this operation, you must use API credentials owned by a
        user assigned the Admin account type.

        - Retrieve **tenantOrganizationId** values by calling the
        [/v2/tenants](https://help.sigmacomputing.com/reference/list-tenants)
        endpoint.
      tags:
        - Tenants
      parameters:
        - name: tenantOrganizationId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/tenants_addTenantDeploymentCapabilities_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                deployToTenantOrganizationIds:
                  type: array
                  items:
                    type: string
                  description: The tenant organizations that this tenant can deploy to.
              required:
                - deployToTenantOrganizationIds
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2TenantsTenantOrganizationIdCapabilitiesDeploymentsBatchAddPostResponsesContentApplicationJsonSchemaCapabilitiesItems:
      type: object
      properties:
        tenantOrganizationId:
          type: string
          description: Unique identifier of a tenant organization that can be deployed to.
      required:
        - tenantOrganizationId
      title: >-
        V2TenantsTenantOrganizationIdCapabilitiesDeploymentsBatchAddPostResponsesContentApplicationJsonSchemaCapabilitiesItems
    tenants_addTenantDeploymentCapabilities_Response_200:
      type: object
      properties:
        capabilities:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2TenantsTenantOrganizationIdCapabilitiesDeploymentsBatchAddPostResponsesContentApplicationJsonSchemaCapabilitiesItems
      required:
        - capabilities
      title: tenants_addTenantDeploymentCapabilities_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "deployToTenantOrganizationIds": [
    "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "f0e1d2c3-b4a5-6789-0abc-def123456789"
  ]
}
```

**Response**

```json
{
  "capabilities": [
    {
      "tenantOrganizationId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
    },
    {
      "tenantOrganizationId": "f0e1d2c3-b4a5-6789-0abc-def123456789"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd"

payload = { "deployToTenantOrganizationIds": ["a1b2c3d4-e5f6-7890-ab12-cd34ef567890", "f0e1d2c3-b4a5-6789-0abc-def123456789"] }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"deployToTenantOrganizationIds":["a1b2c3d4-e5f6-7890-ab12-cd34ef567890","f0e1d2c3-b4a5-6789-0abc-def123456789"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd"

	payload := strings.NewReader("{\n  \"deployToTenantOrganizationIds\": [\n    \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"deployToTenantOrganizationIds\": [\n    \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"deployToTenantOrganizationIds\": [\n    \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd', [
  'body' => '{
  "deployToTenantOrganizationIds": [
    "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "f0e1d2c3-b4a5-6789-0abc-def123456789"
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"deployToTenantOrganizationIds\": [\n    \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["deployToTenantOrganizationIds": ["a1b2c3d4-e5f6-7890-ab12-cd34ef567890", "f0e1d2c3-b4a5-6789-0abc-def123456789"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/tenants/tenantOrganizationId/capabilities/deployments:batchAdd")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```